import request from '@/utils/request'
	
/**
 * @Descripttion: 商品类目Api接口
 * @version: (1.0)
 * @Author: (lwh)
 * @Date: (2023-06-12)
 * @LastEditors: (lwh)
 * @LastEditTime: (2023-06-12)
*/

/**
* 商品类目树形查询列表
* @param {查询条件} data
*/
export function goodsCategoryTreeList(query) {
  return request({
    url: '/business/GoodsCategory/getGoodsCategoryTreeList',
    method: 'get',
    params: query
  })
}

// 商品类目新增或修改
export function addOrUpdateGoodsCategory(data) {
  return request({
    url: '/business/GoodsCategory/addOrUpdateGoodsCategory',
    method: 'post',
    data: data,
  })
}

// 商品类目删除
export function delGoodsCategory(ids) {
  return request({
    url: '/business/GoodsCategory/'+ ids,
    method: 'delete'
  })
}

// 商品类目导出
export function exportGoodsCategory(query) {
  return request({
    url: 'business/GoodsCategory/exportGoodsCategory',
    method: 'get',
    params: query
  })
}

